PHP ��U
前一頁 |  | 下一頁

# is_array

(PHP 3, PHP 4, PHP 5)

is_array -- Finds whether a variable is an array

## Description

bool is_array ( mixed var )

Finds whether the given variable is an array.

## Parameters

var

  The variable being evaluated.

## Return Values

Returns `TRUE` if var is an array, `FALSE` otherwise.

## �d��

範例 1. Check that variable is an array

`<?php $yes = array('this', 'is', 'an array'); echo is_array($yes) ? 'Array' : 'not an Array'; echo "\n"; $no = 'this is a string'; echo is_array($no) ? 'Array' : 'not an Array'; ?>`

The above example will output:

    Array
    not an Array

## �Ѧ�

is_float()
is_int()
is_string()
is_object()

前一頁 | 內容 | 下一頁
intval | 上一層 | is_bool